---
updatedAt: 2025-08-27T16:14:20.000Z
agentTools:
  projectIndex: https://docs.moneyhubenterprise.com/v2.5/llms.txt
---

# Versioning

## Introduction to API Versions

There are now two major versions of the Moneyhub API: v2 and v3. Each version is designed to offer different capabilities and features to meet various use cases and integration requirements.

## Key Changes in V3

### Removed Endpoints

POST `/accounts/{accountId}/recurring-transactions`:

Estimation of recurring transactions has ben superseded by the regular transactions endpoint.

GET` /accounts/{accountId}/counterparties:` This endpoint has been removed

GET `/accounts-list:` This endpoint has been removed

### Changed Behavior

**Global Counterparty**: Previously, the counterpartiesVersion parameter allowed users to specify whether they wanted to retrieve global counterparties data in v2 or v3 formats. With v3 update, our Swagger UI no longer displays counterpartiesVersion as an available query parameter for the /global-counterparties endpoint in the v3, indicating that we are standardizing the response to v3 format only. Please visit [this page](https://docs.moneyhubenterprise.com/docs/counterparties-2) for detailed information.

**Counterparties V3**: all endpoints now use counterparties V3 as the default

`GET /accounts :showTransactionData` and `showPerformanceScore` defaults have been changed to `false`.\
It optimizes performance by reducing the default payload size and improving response times.  If transaction data or performance score are required, it must be explicitly requested by setting this parameter to true.

`POST /sync/{connectionId}` `enableAsync` has been changed to `true` by default.\
Aligning with modern asynchronous processing standards to increase performance.

### New Additions

**Versioning for Swagger Docs:** Introduced dedicated endpoints for Swagger documentation of both v2 and v3:

v2: <https://api.moneyhub.co.uk/v2/docs>\
v3 : <https://api.moneyhub.co.uk/v3/docs>

**Flexible API Gateway URLs**:  If the version is not specified in the URL, it will default to version 3.